Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		boolstuff
#Epoch:		0
Version:	0.1.12
Release:	1
License:	GNU/GPL
URL:		http://perso.b2b2c.ca/sarrazip/dev/boolstuff.html
Group:		System/Libraries
Summary:	A boolean expression tree toolkit
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config

%description
BoolStuff is a C++ library that supports a few operations on boolean expression binary trees. The main features are:

    * a simple boolean expression parser (supports operators AND, OR and NOT, as well as parentheses);
    * an algorithm to convert a boolean expression binary tree into its Disjunctive Normal Form (this algorithm supports the NOT operator);
    * a function that determines if an expression tree is in DNF. 

A command named booldnf that calls this library to convert an expression to the DNF is also provided. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/booldnf
%{_libdir}/libboolstuff-0.1.so.*
%{_mandir}/man1/booldnf.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/boolstuff-0.1/
%{_libdir}/libboolstuff-0.1.so
%{_libdir}/libboolstuff-0.1.la
%{_pkgconfig}/boolstuff-0.1.pc
%{_datadir}/doc/boolstuff-%{version}/
%{_mandir}/man3/boolstuff.3.gz   

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Oct 31 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.1.12-1
- initial CCux package release
